org.aspectj.lang.annotation

## Annotation Type Before

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface Before

Before advice

Author:
  Alexandre Vasseur

### Required Element Summary

Required Elements
`String` `value`

### Optional Element Summary

Optional Elements
`String` `argNames` When compiling without debug info, or when interpreting pointcuts at runtime, the names of any arguments used in the advice declaration are not available.

### Element Detail

#### value

    public abstract String value

Returns:
  the pointcut expression where to bind the advice

#### argNames

    public abstract String argNames

When compiling without debug info, or when interpreting pointcuts at runtime, the names of any arguments used in the advice declaration are not available. Under these circumstances only, it is necessary to provide the arg names in the annotation - these MUST duplicate the names used in the annotated method. Format is a simple comma-separated list.

Returns:
  the argument names (should match the annotated method parameter names)

Default:
  ""